%define version 0.3.5
%define release 1mdk

Summary: 	GNOME 2D chemical structure drawing tool
Name: 		gchempaint
Version: 	%{version}
Release: 	%{release}
URL: 		http://www.nongnu.org/gchempaint/
License: 	GPL
Group: 		Sciences/Chemistry
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

Source0: 	http://savannah.nongnu.org/download/%{name}/unstable.pkg/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	libgnomeprintui2-2-devel
BuildRequires:	gcu-devel >= 0.1.7
BuildRequires:	ImageMagick
BuildRequires:	scrollkeeper
Prereq:		scrollkeeper

%description
GChemPaint is a 2D chemical structures editor for the Gnome-2 desktop.  
GChemPaint is a multi-document application and will be a bonobo server so 
that some chemistry could be embedded in Gnome applications such as 
Gnumeric and Abiword.

%prep
%setup -q

%build
#MDK doesn't use libtool 1.5 yet
%define __libtoolize /bin/true
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 needs="x11" \
 section="Applications/Sciences/Chemistry" \
 title="GChemPaint" \
 icon="%{name}.png" \
 longtitle="GNOME 2D chemical structure drawing tool"
EOF

# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} \
	 $RPM_BUILD_ROOT%{_miconsdir}
install -m 0644 -D      gchempaint.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 gchempaint.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 gchempaint.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome

# asdfasdfdsaf
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/ui/gchempaint.xml

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/omf/*
%{_datadir}/mime-info/*
%{_libdir}/bonobo/servers/*.server
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Thu Sep  4 2003 Abel Cheung <deaddog@deaddog.org> 0.3.5-1mdk
- 0.3.5
- turn on %%configure again, disable libtoolize instead
- find_lang --with-gnome
- use configure2_5x and makeinstall_std, otherwise scrollkeeper stuff
  will be b0rked
- don't pull in GNOME 1.x stuff into Requires
- redo all the BuildRequires
- use ImageMagick to convert icons
- clean up spec

* Fri Aug 22 2003 Austin Acton <aacton@yorku.ca> 0.3.4-1mdk
- 0.3.4
- no configure macro (goofs .so's)

* Sat Aug 02 2003 Michael Scherer <scherer.michael@free.fr> 0.3.3-4mdk 
- BuildRequires libgtkglext0-devel
- Remove Requires, rpm will figures by himself
- clean some redundant BuildRequires

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.3.3-3mdk
- fix URL

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.3.3-2mdk
- buildrequires gnomeprintui2

* Fri Apr 11 2003 Austin Acton <aacton@yorku.ca> 0.3.3-1mdk
- 0.3.3
- fix buildrequires

* Tue Apr 1 2003 Austin Acton <aacton@yorku.ca> 0.3.2-1mdk
- 0.3.2
- spec cleanup
- point to openbabel

* Fri Jan 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- from Austin Acton <aacton@yorku.ca> : 
	- bump version
	- patch for libgnomeprint2.2 problems
	- use find_lang macro
	- fix buildrequires
	- fix package owning some common directories (my bad)

* Tue Nov 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-1mdk
  - from Austin Acton <aacton@yorku.ca> :
	- initial package for Mandrake
